@echo off

rem  fb2odg
rem  by Ruediger Arnold, 31.08.2012

rem ANPASSEN START

echo *
echo **** Perl Directory
set $perlDir="C:\Programme_Buero\Perl"
echo %$perlDir%
echo *

echo **** Familienbande Directory
set $fbDir="C:\Users\Public\Documents\doc\doc\doc\Familie\Stammbaum\Familienbande"
echo %$fbDir%
echo *

echo **** Familienbande2Odg Directory
set $treeDir="C:\Users\Public\Documents\doc\doc\doc\Familie\Stammbaum\Familienbande2Odg"
echo %$treeDir%
echo *

echo **** 7-Zip Directory
set $zipDir="C:\Programme_Util\7-Zip"
echo %$zipDir%
echo *

rem ANPASSEN STOP

rem Put NO space " " behind the equal sign "=" in the set-command, otherwise the variable is not valid!
rem Put NO underliner "_" in a variable name, otherwise the variable is not valid!

echo *
echo *******************************************
echo *    SET ENVIRONMENT VARIABLES HAS BEEN SET
echo *******************************************
echo *




rem *********************************************************

rem **** Open Draw Command
rem set $oodraw="C:\Programme_Buero\OpenOffice3p2\OpenOffice.org 3\program\sdraw.exe"

rem **** Tree Data File Directory
set $treeDataDir=%$treeDir%\BaumDaten\

rem **** Tree Definition Directory
set $treeDefDir=%$treeDir%\BaumDefinitionen\

rem **** Tree Template Directory
set $treeTempDir=%$treeDir%\BaumVorlagen\

rem **** Script Directory
set $scriptDir=%$treeDir%\Skripte\

rem **** Stammbaum Result Directory, here will be the finished trees.
set $resultDir=%$treeDir%\Ergebnisse\

rem **** Open-Office-File-Directory for Frame Generation
set $odgDir=%$treeDir%\oo_draw\

rem **** Work Directory for Open-Office-Files-Generation
set $workOdgDir=%$odgDir%\work\

rem setx $svmDir %$treeDir%\oo_svm <- globale Variable funktioniert leider nicht um die Variables in OODraw bekannt zu machen


rem **** Zip Commands
set $unzip=%$zipDir%\7z.exe -y x
set $zip=%$zipDir%\7z.exe -r a

rem **** Perl Command
set $perl=%$perlDir%\bin\perl.exe



echo ****
echo **** Check Defined Pathes
echo ****

if exist %$fbDir%\Familienbande.exe goto testtreedir
echo **** ERROR Familienbande-Verzeichnis ist falsch. Es gibt kein Familienbande.exe.
echo **** %$fbDir%
echo ****

:testtreedir
if exist %$treeDir% goto testtreedatadir
echo **** ERROR Das Baum Verzeichnis existiert nicht.
echo **** %$treeDir%
echo ****

:testtreedatadir
if exist %$treeDataDir% goto testtreedefdir
echo **** ERROR Das Baum-Daten-Verzeichnis existiert nicht.
echo **** %$treeDataDir%
echo ****

:testtreedefdir
if exist %$treeDefDir% goto testtreetempdir
echo **** ERROR Das Baum-Definitions-Verzeichnis existiert nicht.
echo **** %$treeDefDir%
echo ****

:testtreetempdir
if exist %$treeTempDir% goto testscriptdir
echo **** ERROR Das Baum-Vorlagen-Verzeichnis existiert nicht.
echo **** %$treeTempDir%
echo ****

:testscriptdir
if exist %$scriptDir% goto testresultdir
echo **** ERROR Das Skripte-Verzeichnis existiert nicht.
echo **** %$scriptDir%
echo ****

:testresultdir
if exist %$resultDir% goto testodgdir
echo **** ERROR Das Ergebnis-Verzeichnis existiert nicht.
echo **** %$resultDir%
echo ****

:testodgdir
if exist %$odgDir% goto testzipdir
echo **** ERROR Das Open-Office-Draw-File-Verzeichnis existiert nicht.
echo **** %$odgDir%
echo ****

:testzipdir
if exist %$zipDir% goto testperldir
echo **** ERROR Das Zip-Programm-Verzeichnis fuer 7-zip existiert nicht.
echo **** %$zipDir%
echo ****

:testperldir
if exist %$perl% goto changedir
echo **** ERROR Das Perl-Programm perl.exe existiert nicht im angegebenen Verzeichnis.
echo **** %$perlDir%
echo ****

rem :testoodraw
rem if exist %$oodraw% goto changedir
rem echo **** ERROR Das Open-Office-Draw-Executable existiert nicht.
rem echo **** %$oodraw%
rem echo ****

:changedir
echo **** Go to Tree Directory
cd %$treeDir%